Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMViewer.Panel.DOMTreeSelectionListener

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMViewer.Panel.DOMTreeSelectionListener

All Implemented Interfaces:
  EventListener, TreeSelectionListener

Enclosing class:
  DOMViewer.Panel

    protected class DOMViewer.Panel.DOMTreeSelectionListener

extends Object
implements TreeSelectionListener

To listen to the tree selection.

Constructor Summary
`protected` | `DOMViewer.Panel.DOMTreeSelectionListener()`

Method Summary
`protected String` | `createDocumentText(Document doc)`
`protected void` | `handleElementSelection(TreeSelectionEvent ev)` Processes element selection overlay.
`protected int` | `nodeCount(Node node)`
`void` | `valueChanged(TreeSelectionEvent ev)` Called when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMViewer.Panel.DOMTreeSelectionListener

    protected DOMViewer.Panel.DOMTreeSelectionListener()

Method Detail

### valueChanged

    public void valueChanged(TreeSelectionEvent ev)

  Called when the selection changes.

  Specified by:
    `valueChanged` in interface `TreeSelectionListener`

### createDocumentText

    protected String createDocumentText(Document doc)

### nodeCount

    protected int nodeCount(Node node)

### handleElementSelection

    protected void handleElementSelection(TreeSelectionEvent ev)

  Processes element selection overlay.

  Parameters:
    `ev` - Tree selection event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.